Subject: Re: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 28 Feb 2012 10:34:54 +0100

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Hi Michael,
>
> Hi Thierry,
>
>>> `files-equal-p' still returns t for two non-existing files. Shall be
>>> fixed too.
>> Fixed.
>
> Looks good to me. Thanks!
>
>>> Btw, this is the only primitive function which has the prefix "files-",
>>> all other start with prefix "file-". Is this necessary?
>> I wrote files because comparing two files, but I don't care of this,
>> just rename it to file-
>
> Thanks as well. I will change the name in Tramp once you have committed
> your patch (or, even better, you do it in tramp.el when committing your
> patch).
Done (in tramp.el too)

> Still some nit-picking :-)
>
>> -(defun files-equal-p (file1 file2)
>> +(defun file-equal-p (file1 file2)
>>    "Return non-nil if FILE1 and FILE2 name the same file.
>>  Ordinary files are considered to be the same if `file-attributes'
>>  returns `equal' values for them."
>
> The file name handler implementation might not use `file-attributes'
> (that's why we call the handler). Better, you don't say it such strictly
> in the doc-string. Furthermore, I would like to see the phrase
> "... existing files ..." somewhere.
Done for "existing files", I have removed mention of `files-attributes'
comparison, as I really don't know what to put there.
I have fixed basically files.texi accordingly.
I leave more sophisticated documentation about tramp handler to you. ;-)

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997